summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xsrc/password-store.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/src/password-store.sh b/src/password-store.sh
index e4e622e..4a04fbe 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -223,7 +223,9 @@ case "$command" in
if [[ $clip -eq 0 ]]; then
exec gpg2 -d $GPG_OPTS "$passfile"
else
- clip "$(gpg2 -d $GPG_OPTS "$passfile" | head -n 1)" "$path"
+ pass="$(gpg2 -d $GPG_OPTS "$passfile" | head -n 1)"
+ [[ -n $pass ]] || exit 1
+ clip "$pass" "$path"
fi
fi
;;
4 +0200'>2020-05-07Improve html renderingRené 'Necoro' Neumann2-53/+32 2020-05-07Do not assume items to be new when their published date is newer than the las...René 'Necoro' Neumann2-7/+1 2020-05-07Updating some depsRené 'Necoro' Neumann2-2/+7 2020-05-07Better detection if a text starts with html or notRené 'Necoro' Neumann2-4/+13 2020-05-07go fmtRené 'Necoro' Neumann1-3/+2 2020-05-07Add header X-Feed2Imap-GUIDRené 'Necoro' Neumann3-1/+7 2020-05-07update changelogRené 'Necoro' Neumann1-0/+1 2020-05-07FixRené 'Necoro' Neumann1-1/+1 2020-05-07Unified publishedDate and updatedDate into one (just as the old feed2imap...)René 'Necoro' Neumann5-21/+32 2020-05-06Print version during startupRené 'Necoro' Neumann1-1/+1 2020-05-06Improve templateRené 'Necoro' Neumann3-20/+28 2020-05-05Fix pipelineRené 'Necoro' Neumann1-2/+5 2020-05-05Make changelog a part of the release pipeline (untested)René 'Necoro' Neumann2-0/+12